@include('public::notifications')
<div class="container">
    <div class="row">
        <div class="col-md-6">
            <h4 class="text-dark  header-title m-t-0"> My Incidents </h4>
        </div>
        <div class="col-md-6">
            <a href="{{ trans_url('/user/incidents/incident/create') }}" class="btn btn-default pull-right"> {{ trans('cms.create')  }} Incident</a>
        </div>
    </div>
    <p class="text-muted m-b-25 font-13">
        Your awesome text goes here.
    </p>
    <hr>
    <div class="row">
        <div class="col-md-4 m-b-5 pull-right">
            {!!Form::open()->method('GET')!!}
            <div class="input-group">
              {!!Form::text('search')->type('search')->class('form-control')->placeholder('Search for...')->raw()!!}
              <span class="input-group-btn">
                <button class="btn btn-primary" type="submit">Search</button>
              </span>
            </div>
            {!! Form::close()!!}
        </div>
    </div>   
    
    <div class="table-responsive">
        <table class="table">
            <thead>
                <tr>
                    <th>{!! trans('incidents::incident.label.division_id')!!}</th>
        <th>{!! trans('incidents::incident.label.asset_id')!!}</th>
        <th>{!! trans('incidents::incident.label.damagepercentage')!!}</th>
        <th>{!! trans('incidents::incident.label.damagedetails')!!}</th>
        <th>{!! trans('incidents::incident.label.statusdate')!!}</th>
        <th>{!! trans('incidents::incident.label.employee_id')!!}</th>
        <th>{!! trans('incidents::incident.label.externalname')!!}</th>
        <th>{!! trans('incidents::incident.label.externalmobile')!!}</th>
        <th>{!! trans('incidents::incident.label.usedby_id')!!}</th>
        <th>{!! trans('incidents::incident.label.custodian_id')!!}</th>
        <th>{!! trans('incidents::incident.label.asset_type')!!}</th>
        <th>{!! trans('incidents::incident.label.action')!!}</th>
                    <th width="150">{!! trans('incidents::incident.label.status')!!}</th>
                    <th width="150">Action</th>
                </tr>
            </thead>
            <tbody>
                @foreach($incidents as $incident)
                <tr id="user-incidents-incident-{!! $incident->getRouteKey() !!}">
                    <td>{{ $incident->division_id }}</td>
                    <td>{{ $incident->asset_id }}</td>
                    <td>{{ $incident->damagepercentage }}</td>
                    <td>{{ $incident->damagedetails }}</td>
                    <td>{{ $incident->statusdate }}</td>
                    <td>{{ $incident->employee_id }}</td>
                    <td>{{ $incident->externalname }}</td>
                    <td>{{ $incident->externalmobile }}</td>
                    <td>{{ $incident->usedby_id }}</td>
                    <td>{{ $incident->custodian_id }}</td>
                    <td>{{ $incident->asset_type }}</td>
                    <td>{{ $incident->action }}</td>
                    <td><span class="label status-{{ $incident->status }}"> {{ $incident->status }} </span></td>
                    <td>
                        <a href="{{ trans_url('/user') }}/incidents/incident/{!! $incident->getRouteKey() !!}"> View </a>
                        <a href="{{ trans_url('/user') }}/incidents/incident/{!! $incident->getRouteKey() !!}/edit"> Edit </a>
                        <a data-action="DELETE" 
                            data-href="{{ trans_url('/user') }}/incidents/incident/{!! $incident->getRouteKey() !!}" 
                            href="trans_url('/user')/incidents/incident/{!! $incident->getRouteKey() !!}" data-remove="user-incidents-incident-{!! $incident->getRouteKey() !!}"> 
                            Delete 
                        </a>
                    </td>
                </tr>
                @endforeach
            </tbody>
        </table>
    </div>
    {{ $incidents->links() }}
</div>